from flask import Flask, request
import sys

app = Flask(__name__)

@app.route('/upload', methods=['POST'])
def handle_post_request():
    # Print the received POST request data
    print(request)
    print(request.data)

    # Respond with a 200 status code
    return '', 200

if __name__ == '__main__':
    app.run(host='0.0.0.0', port=int(sys.argv[1]))
